Subject: Re: more questions on porting perl to NT
From: [email-masked] (Richard Donkin)

12 Dec 1996 08:44:58 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
Original-Sender: [email-masked]

In-Reply-To: <[email-masked]>
> hey --
> 
> I had a few more questions about porting perl to NT via gnu-win32.
> 
> If the unix distribution were to be compiled with gcc (via 
> Configure/Make), then
> how would this integrate with the windows modules there:
> 
> (ie: OLE and ODBC )
> 
> Can gnu do object linking and embedding, or include the dll's necessary to 
> do
> so? (forgive my ignorance --  I'm not exactly sure how to do OLE myself 
> yet)

Gnu-Win32 does not support OLE etc but presumably you could call the DLLs 
yourself.  You might be able to borrow some modules from the Perl for Win32 
distribution, which includes OLE functionality and other Win32 specific 
stuff.  You would need to talk to ActiveWare about this, depending on their 
license, but I think it is covered by the Perl license - see 
www.activeware.com.

ODBC functionality does not need any changes to perl, just get hold of 
ODBC.pm from CPAN.  Works fine with 32 bit ODBC drivers, includes a Perl 
extension module to do the ODBC calls. There may also be some DBI::* stuff 
by now, check CPAN and the Perl-DBI list.

You should also talk to Nick Ing-Simmons, who is looking at porting perl to 
Gnu-Win32 and posted here recently, and get onto the Perl5-Porters list and 
check there for other people doing Gnu-Win32 or other Win32 ports.

Richard
--
[email-masked]                http://www.inside-edge.co.uk/
Inside Edge Consultancy           Client/Server and Internet Applications
PGP key from:  [email-masked]  -or-  http://www.four11.com/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".